Commit 0b3fcb4c authored by amnesia's avatar amnesia

Merge branch 'master' into squeeze

Conflicts:
	auto/config
	config/chroot_apt/preferences
	config/chroot_local-hooks/50-virtualbox
parents 37e6b5e5 8028c57b
......@@ -21,6 +21,7 @@
/config/chroot_local-includes/etc/amnesia/version
/config/chroot_local-includes/home/amnesia/.gnome2/nautilus-scripts
/config/chroot_local-includes/usr/share/amnesia/readahead-list
/config/chroot_local-includes/usr/share/amnesia/build/variables
/config/chroot_local-includes/usr/share/doc/Changelog
/config/chroot_local-includes/usr/share/doc/amnesia/Changelog
/config/chroot_local-includes/usr/share/doc/amnesia/amnesia.asc
......
#!/bin/sh
#!/bin/bash
# set -x
umask 022
. config/amnesia
if [ -e config/amnesia.local ] ; then
. config/amnesia.local
......@@ -10,10 +12,10 @@ fi
# a clean starting point
rm -rf cache/stages_rootfs
# get LH_BINARY_IMAGES
# get LB_BINARY_IMAGES
. config/binary
# get LH_ARCHITECTURE
# get LB_ARCHITECTURE and LB_DISTRIBUTION
. config/bootstrap
# build the doc wiki
......@@ -22,17 +24,25 @@ rm -rf cache/stages_rootfs
# refresh translations of our programs
./refresh-translations
# fix permissions on {binary,chroot}_local-includes; they may be
# wrong, e.g. if the tarball was extracted with a strict umask
# save variables that are needed by chroot_local-hooks
echo "LB_DISTRIBUTION=${LB_DISTRIBUTION}" >> config/chroot_local-includes/usr/share/amnesia/build/variables
# fix permissions on some source files that will be copied as is to the chroot.
# they may be wrong, e.g. if the Git repository was cloned with a strict umask.
chmod -R go+rX config/binary_local-includes/
chmod -R go+rX config/chroot_local-includes/etc
chmod go+rX config/chroot_local-includes/lib
chmod go+rX config/chroot_local-includes/lib/live
chmod -R go+rx config/chroot_local-includes/lib/live/config
chmod -R go+rX config/chroot_local-includes/usr
chmod -R go+rx config/chroot_local-includes/usr/local/bin
chmod -R go+rx config/chroot_local-includes/usr/local/sbin
chmod -R go+rX config/chroot_apt
chmod -R go+rX config/chroot_sources
# build the image
case "$LH_BINARY_IMAGES" in
case "$LB_BINARY_IMAGES" in
iso|iso-hybrid)
BUILD_FILENAME_EXT=iso
BUILD_FILENAME=binary-hybrid
......@@ -46,24 +56,25 @@ case "$LH_BINARY_IMAGES" in
BUILD_FILENAME=binary
;;
*)
echo "Image type ${LH_BINARY_IMAGES} is not supported." >&2
echo "Image type ${LB_BINARY_IMAGES} is not supported." >&2
exit 1
;;
esac
BUILD_BASENAME="tails-${LH_ARCHITECTURE}-${LH_DISTRIBUTION}-${AMNESIA_VERSION}-${AMNESIA_TODAY}"
BUILD_BASENAME="tails-${LB_ARCHITECTURE}-${LB_DISTRIBUTION}-${AMNESIA_VERSION}-${AMNESIA_TODAY}"
BUILD_DEST_FILENAME="${BUILD_BASENAME}.${BUILD_FILENAME_EXT}"
BUILD_MANIFEST="${BUILD_DEST_FILENAME}.list"
BUILD_PACKAGES="${BUILD_DEST_FILENAME}.packages"
BUILD_LOG="${BUILD_DEST_FILENAME}.buildlog"
echo "Building $LH_BINARY_IMAGES image ${BUILD_BASENAME}..."
if lh build noauto ${@} 2>&1 | tee "${BUILD_LOG}" ; then
echo "Building $LB_BINARY_IMAGES image ${BUILD_BASENAME}..."
set -o pipefail
if time lb build noauto ${@} 2>&1 | tee "${BUILD_LOG}" ; then
echo "Image was successfully created"
echo "Renaming generated files..."
mv -i "${BUILD_FILENAME}.${BUILD_FILENAME_EXT}" "${BUILD_DEST_FILENAME}"
mv -i binary.list "${BUILD_MANIFEST}"
mv -i binary.packages "${BUILD_PACKAGES}"
else
echo "lh build failed." >&2
echo "lb build failed." >&2
exit 1
fi
#!/bin/sh
for dir in chroot/{dev/pts,proc,sys} ; do
for dir in chroot/{dev/pts,proc,sys,var/lib/dpkg} ; do
if mountpoint -q "$dir" ; then
umount "$dir"
fi
done
lh clean noauto ${@}
lb clean noauto ${@}
# rm -f build-*.log
......
#! /bin/sh
# automatically run by "lh config"
# automatically run by "lb config"
. config/amnesia
if [ -e config/amnesia.local ] ; then
......@@ -7,15 +7,17 @@ if [ -e config/amnesia.local ] ; then
fi
# init variables
RUN_LH_CONFIG="lh config noauto"
RUN_LB_CONFIG="lb config noauto"
# init config/ with defaults for the target distribution
$RUN_LH_CONFIG --distribution squeeze ${@}
$RUN_LB_CONFIG --distribution squeeze ${@}
# set Amnesia's general options
$RUN_LH_CONFIG \
$RUN_LB_CONFIG \
--apt-recommends false \
--backports true \
--binary-images iso-hybrid \
--distribution lenny \
--isohybrid-options "$AMNESIA_ISOHYBRID_OPTS" \
--bootappend-live "${AMNESIA_APPEND}" \
--bootstrap "cdebootstrap" \
......@@ -33,13 +35,13 @@ $RUN_LH_CONFIG \
# build i386 images on amd64 as well, include only 686 kernel
hw_arch="`dpkg --print-architecture`"
if [ "$hw_arch" = i386 -o "$hw_arch" = amd64 ]; then
$RUN_LH_CONFIG \
$RUN_LB_CONFIG \
--architecture i386 \
--linux-flavours 686 \
${@}
# build powerpc images on powerpc64 as well, include only powerpc kernel
elif [ "$hw_arch" = powerpc -o "$hw_arch" = powerpc64 ]; then
$RUN_LH_CONFIG \
$RUN_LB_CONFIG \
--architecture powerpc \
--linux-flavours powerpc \
${@}
......
......@@ -10,8 +10,8 @@
# These configuration files are actually shell scripts, and are
# sourced by various other scripts.
# Base for the string that will be passed to "lh config --bootappend-live"
AMNESIA_APPEND="quiet splash vga=788 live-media=removable nopersistent noprompt=usb"
# Base for the string that will be passed to "lb config --bootappend-live"
AMNESIA_APPEND="splash vga=788 live-media=removable nopersistent noprompt=usb"
# Options passed to isohybrid
# Default: "-entry 4 -type 1c"
......@@ -167,7 +167,7 @@ AMNESIA_FULL_VERSION="${AMNESIA_VERSION} - ${AMNESIA_TODAY} - Squeeze"
# Developpers' data used by git-dch, debcommit and friends in the release script
AMNESIA_DEV_FULLNAME="amnesia"
AMNESIA_DEV_EMAIL="amnesia@boum.org"
AMNESIA_DEV_KEYID="F93E735F"
AMNESIA_DEV_KEYID="BE2CD9C1"
# Supported languages (displayed in this order by the syslinux menu)
AMNESIA_SUPPORTED_LANGUAGES="ar zh de en fr it pt es"
#!/bin/bash
# Including common functions
. "${LH_BASE:-/usr/share/live-helper}"/scripts/build.sh
. "${LB_BASE:-/usr/share/live/build}"/scripts/build.sh
# Setting static variables
DESCRIPTION="$(Echo 'removing buggy syslinux help')"
......@@ -12,7 +12,7 @@ USAGE="${PROGRAM}"
Read_conffiles config/all config/common config/binary
Set_defaults
if [ "${LH_BOOTLOADER}" != "syslinux" ]
if [ "${LB_BOOTLOADER}" != "syslinux" ]
then
exit 0
fi
......@@ -20,7 +20,7 @@ fi
Echo_message "removing buggy syslinux help"
# Setting boot method specific variables
case "${LH_BINARY_IMAGES}" in
case "${LB_BINARY_IMAGES}" in
iso|iso-hybrid)
SYSLINUX_PATH="binary/isolinux"
;;
......
#!/bin/bash
# Including common functions
. "${LH_BASE:-/usr/share/live-helper}"/scripts/build.sh
. "${LB_BASE:-/usr/share/live/build}"/scripts/build.sh
# Setting static variables
DESCRIPTION="$(Echo 'internationalizing the syslinux menu')"
......@@ -12,7 +12,7 @@ USAGE="${PROGRAM}"
Read_conffiles config/all config/common config/binary
Set_defaults
if [ "${LH_BOOTLOADER}" != "syslinux" ]
if [ "${LB_BOOTLOADER}" != "syslinux" ]
then
exit 0
fi
......@@ -26,7 +26,7 @@ if [ -e config/amnesia.local ] ; then
fi
# Setting boot method specific variables
case "${LH_BINARY_IMAGES}" in
case "${LB_BINARY_IMAGES}" in
iso|iso-hybrid)
SYSLINUX_PATH="binary/isolinux"
;;
......
This diff is collapsed.
Package: live-build
Pin: origin live.debian.net
Pin-Priority: 999
Package: live-config
Pin: origin live.debian.net
Pin-Priority: 999
......
......@@ -5,18 +5,6 @@
# We run htpdate as this user, so that we can whitelist its
# non-Torified outgoing packets.
# Including common functions
. "${LH_BASE:-/usr/share/live-helper}"/scripts/build.sh
# Setting static variables
DESCRIPTION="$(Echo 'creating the htp user')"
HELP=""
USAGE="${PROGRAM}"
# Reading configuration files
Read_conffiles config/all config/common config/chroot
Set_defaults
Echo_message "creating the htp user"
echo "creating the htp user"
adduser --system --quiet --group --no-create-home htp || :
......@@ -2,18 +2,6 @@
# Remove pdnsd's resolvconf hook.
# Including common functions
. "${LH_BASE:-/usr/share/live-helper}"/scripts/build.sh
# Setting static variables
DESCRIPTION="$(Echo 'removing pdnsd resolvconf hook')"
HELP=""
USAGE="${PROGRAM}"
# Reading configuration files
Read_conffiles config/all config/common config/chroot
Set_defaults
Echo_message "removing pdnsd resolvconf hook"
echo "removing pdnsd resolvconf hook"
rm -f /etc/resolvconf/update.d/pdnsd
......@@ -3,19 +3,7 @@
# Remove pidgin's (libpurple's) MSN support, that is affected by
# security issues far too often.
# Including common functions
. "${LH_BASE:-/usr/share/live-helper}"/scripts/build.sh
# Setting static variables
DESCRIPTION="$(Echo 'removing pidgin MSN support')"
HELP=""
USAGE="${PROGRAM}"
# Reading configuration files
Read_conffiles config/all config/common config/chroot
Set_defaults
Echo_message "removing pidgin MSN support"
echo "removing pidgin MSN support"
dpkg -L libpurple0 | grep '/libmsn.so$' | xargs rm -f
......@@ -2,19 +2,7 @@
# Remove unwanted iceweasel search plugins.
# Including common functions
. "${LH_BASE:-/usr/share/live-helper}"/scripts/build.sh
# Setting static variables
DESCRIPTION="$(Echo 'removing unwanted iceweasel search plugins')"
HELP=""
USAGE="${PROGRAM}"
# Reading configuration files
Read_conffiles config/all config/common config/chroot
Set_defaults
Echo_message "removing unwanted iceweasel search plugins"
echo "removing unwanted iceweasel search plugins"
UNWANTED_SEARCHPLUGINS='amazondotcom answers eBay yahoo'
for plugin in $UNWANTED_SEARCHPLUGINS ; do
......
......@@ -2,19 +2,7 @@
# Build binary sqlite iceweasel files from plain text SQL files.
# Including common functions
. "${LH_BASE:-/usr/share/live-helper}"/scripts/build.sh
# Setting static variables
DESCRIPTION="$(Echo 'building iceweasel sqlite files')"
HELP=""
USAGE="${PROGRAM}"
# Reading configuration files
Read_conffiles config/all config/common config/chroot
Set_defaults
Echo_message "building iceweasel sqlite files"
echo "building iceweasel sqlite files"
INSTALLED_PACKAGES="sqlite3"
SQL_SRC_DIR=/usr/share/amnesia/iceweasel/sql
......
......@@ -2,19 +2,7 @@
# Set the correct firegpg version in /etc/iceweasel/profile/user.js
# Including common functions
. "${LH_BASE:-/usr/share/live-helper}"/scripts/build.sh
# Setting static variables
DESCRIPTION="$(Echo 'recording firegpg version')"
HELP=""
USAGE="${PROGRAM}"
# Reading configuration files
Read_conffiles config/all config/common config/chroot
Set_defaults
Echo_message "recording firegpg version"
echo "recording firegpg version"
PACKAGE_NAME='xul-ext-firegpg'
USER_PREFS_FILE=/etc/iceweasel/profile/user.js
......
......@@ -2,19 +2,7 @@
# Load GConf settings.
# Including common functions
. "${LH_BASE:-/usr/share/live-helper}"/scripts/build.sh
# Setting static variables
DESCRIPTION="$(Echo 'load GConf settings')"
HELP=""
USAGE="${PROGRAM}"
# Reading configuration files
Read_conffiles config/all config/common config/chroot
Set_defaults
Echo_message "Loading GConf settings"
echo "Loading GConf settings"
gct() {
gconftool-2 \
......
#!/bin/sh
# Including common functions
. "${LH_BASE:-/usr/share/live-helper}"/scripts/build.sh
echo "Adding cpufreq modules to /etc/modules"
# Setting static variables
DESCRIPTION="$(Echo 'add modules to /etc/modules')"
HELP=""
USAGE="${PROGRAM}"
# Reading configuration files
Read_conffiles config/all config/common config/chroot
Set_defaults
Echo_message "Adding cpufreq modules to /etc/modules"
for module in acpi-cpufreq cpufreq_powersave cpufreq_ondemand ; do
echo "${module}" >> /etc/modules
done
#!/bin/sh
# Disable ssh-agent in /etc/X11/Xsession.options
# (seahorse / gnome-keyring are more user-friendly)
echo "Disabling ssh-agent"
OPTS_FILE='/etc/X11/Xsession.options'
[ -f "${OPTS_FILE}" ] || exit 11
sed -i'' 's,^use-ssh-agent,#use-ssh-agent,' "${OPTS_FILE}"
......@@ -2,17 +2,7 @@
# Install modules managed by module-assistant
# Including common functions
. "${LH_BASE:-/usr/share/live-helper}"/scripts/build.sh
# Setting static variables
DESCRIPTION="$(Echo 'installing modules managed by module-assistant')"
HELP=""
USAGE="${PROGRAM}"
Set_defaults
Echo_message "installing modules managed by module-assistant"
echo "installing modules managed by module-assistant"
MODULES=""
MA="module-assistant --text-mode --non-inter"
......
#!/bin/sh
# Manage initscripts
echo "managing initscripts"
# Including common functions
. "${LH_BASE:-/usr/share/live-helper}"/scripts/build.sh
# Get LH_DISTRIBUTION
Read_conffiles config/bootstrap
# Setting static variables
DESCRIPTION="$(Echo 'managing initscripts')"
HELP=""
USAGE="${PROGRAM}"
Set_defaults
Echo_message "managing initscripts"
. /usr/share/amnesia/build/variables
disable_service () {
local INITSCRIPT="$1"
case "${LH_DISTRIBUTION}" in
case "${LB_DISTRIBUTION}" in
squeeze|sid)
update-rc.d ${INITSCRIPT} disable
;;
......
#!/bin/sh
# Including common functions
. "${LH_BASE:-/usr/share/live-helper}"/scripts/build.sh
# Setting static variables
DESCRIPTION="$(Echo 'removing development packages')"
HELP=""
USAGE="${PROGRAM}"
# Reading configuration files
Read_conffiles config/all config/common config/chroot
Set_defaults
Echo_message "Removing development packages"
echo "Removing development packages"
# use apt-get as aptitude doesn't know about globs
apt-get --purge remove --yes \
......@@ -26,7 +14,7 @@ aptitude --assume-yes purge \
cpp-4.1 \
gcc gcc-4.1 gcc-4.1-base gcc-4.2-base gcc-4.3 \
g++ g++-4.3 \
libc6-dev linux-libc-dev \
libc6-dev libstdc++6-4.3-dev linux-libc-dev \
make \
module-assistant \
virtualbox-ose-guest-dkms
#!/bin/sh
chmod go+rX /etc/apt/apt.conf /etc/apt/preferences /etc/apt/sources.list /etc/apt/sources.list.d/*
chmod go+rX /lib /lib/live /lib/live/config
true
......@@ -50,7 +50,7 @@ HTP_POOL=(
'www.torproject.org'
'mail.riseup.net'
'www.google.com'
'lists.debian.org'
'ssl.scroogle.org'
)
BEGIN_MAGIC='### BEGIN HTP HOSTS'
......
......@@ -50,6 +50,7 @@ pref("network.proxy.ssl_port", 8118);
pref("network.proxy.type", 1);
pref("network.security.ports.banned", "8118,8123,9050,9051");
pref("layout.spellcheckDefault", 0);
pref("network.dns.disableIPv6", true);
pref("noscript.httpsForced", "boum.org\nmail.google.com\nmail.riseup.net\nwebmail.no-log.org\nwebmail.boum.org");
pref("noscript.httpsForcedExceptions", "");
pref("noscript.notify.hide", true);
......
......@@ -30,7 +30,7 @@ user_pref("extensions.torbutton.saved.type", 5);
user_pref("extensions.torbutton.saved.share_proxy_settings", false);
user_pref("extensions.torbutton.socks_host", "127.0.0.1");
user_pref("extensions.torbutton.socks_port", 9050);
user_pref("extensions.torbutton.spoof_english", true);
user_pref("extensions.torbutton.spoof_english", false);
user_pref("extensions.torbutton.startup", true);
user_pref("extensions.torbutton.startup_state", 1);
user_pref("extensions.torbutton.tor_enabled", true);
......
../init.d/tails-wifi
\ No newline at end of file
/usr/share/applications/iceweasel.desktop
\ No newline at end of file
......@@ -395,8 +395,8 @@
</pref>
<pref name='OTR'>
<pref name='enabled' type='bool' value='1'/>
<pref name='automatic' type='bool' value='1'/>
<pref name='onlyprivate' type='bool' value='1'/>
<pref name='automatic' type='bool' value='0'/>
<pref name='onlyprivate' type='bool' value='0'/>
<pref name='avoidloggingotr' type='bool' value='1'/>
</pref>
</pref>
......@@ -14,7 +14,7 @@ Start_boot_profile ()
{
# Schedule stop script
cat <<EOF >"/home/${LIVE_USERNAME}/.config/autostart/end-profile.desktop"
cat <<EOF >"/etc/skel/.config/autostart/end-profile.desktop"
[Desktop Entry]
Version=1.0
Name=EndProfile
......
......@@ -4,12 +4,7 @@ set -e
test -e /boot-profile.pid || exit 0
# Wait some time hoping Tor will have bootstrapped
sleep 30
iceweasel &
# Wait some time hoping Iceweasel will be started
sleep 15
# Wait some time hoping Tor has bootstrapped and Iceweasel is started
sleep 180
sudo kill $(cat /boot-profile.pid)
#! /bin/sh
LANGUAGE="`echo ${LANG} | head -c 2`"
if [ $# -ge 1 ]; then
PAGE="$1"
else
PAGE='index'
fi
if [ -r "/live/image/doc/amnesia/wiki/index.${LANGUAGE}.html" ]; then
exec iceweasel "file:///live/image/doc/amnesia/wiki/index.${LANGUAGE}.html"
WIKI_ROOT='/live/image/doc/amnesia/wiki'
LANG_CODE="`echo ${LANG} | head -c 2`"
if [ -r "${WIKI_ROOT}/${PAGE}.${LANG_CODE}.html" ]; then
FILE="${PAGE}.${LANG_CODE}.html"
elif [ -r "${WIKI_ROOT}/${PAGE}.en.html" ]; then
FILE="${PAGE}.en.html"
else
exec iceweasel "file:///live/image/doc/amnesia/wiki/index.en.html"
FILE="${PAGE}.html"
fi
exec iceweasel "file://${WIKI_ROOT}/${FILE}"
......@@ -52,9 +52,10 @@ my $notify = Desktop::Notify->new();